import { load } from '@scalar/openapi-parser';
import { fetchURLs } from './scalar-plugins/fetchURLs';
/**
 * Create a filesystem from an OpenAPI document.
 * Fetches all the URLs specified in references and builds a filesystem.
 */
export async function createFileSystem(input) {
    const { filesystem } = await load(input.value, {
        plugins: [fetchURLs({ rootURL: input.rootURL })],
    });
    return filesystem;
}
